<?php





/** ensure this file is being included by a parent file */

defined( '_VALID_MOS' ) or die( 'Direct Access to this location is not allowed.' );





/**

 * Basic tab extender. Any plugin that needs to display a tab in the user profile

 * needs to have such a class. Also, currently, even plugins that do not display tabs (e.g., auto-welcome plugin)

 * need to have such a class if they are to access plugin parameters (see $this->params statement).

 */

class getcivicrmTab extends cbTabHandler {

	/**

	 * Construnctor

	 */

	function getcivicrmTab() {

		$this->cbTabHandler();

	}

	

	/**

	* Generates the HTML to display the user profile tab

	* @param object tab reflecting the tab database entry

	* @param object mosUser reflecting the user being displayed

	* @param int 1 for front-end, 2 for back-end

	* @returns mixed : either string HTML for tab content, or false if ErrorMSG generated

	*/

	function getDisplayTab($tab,$user,$ui) {

		global $my, $acl, $database, $mosConfig_live_site, $mosConfig_absolute_path,$cid;



		$return = null;

		$params = $this->params; // get parameters (plugin and related tab)

		

		$is_civicrm_plug_enabled = $params->get('crm3PlugEnabled', "1");

		$civicrm_tab_message = $params->get('crm3TabMessage', "Contact Information");



		$query = "SELECT 





a.contact_id 

,first_name

,middle_name

,last_name

,birth_date

,nick_name

,home_url

,display_name

,preferred_mail_format

,preferred_communication_method

,location_type_id

,f.name as statename

,g.name as countryname

,supplemental_address_1

,supplemental_address_2

,street_address

,city

,postal_code

,postal_code_suffix



from

 civicrm_uf_match as a

,civicrm_individual as b

,civicrm_location as c

,civicrm_contact as d

,civicrm_address as e

,civicrm_state_province as f

,civicrm_country as g



where

    a.contact_id=b.contact_id

and a.contact_id =d.id

and c.entity_id=b.contact_id

and c.id=e.location_id

and c.is_primary=1

and e.state_province_id=f.id

and e.country_id=g.id

and a.uf_id='" . $user->id . "' ";



        	$database->setQuery($query);

	        $cid = $database->loadObjectList();





		if ($is_civicrm_plug_enabled != "0") {

			if($tab->description != null) {

				$return .= "\t\t<div class=\"tab_Description\">"

//					. $tab->description	

					. unHtmlspecialchars(getLangDefinition($tab->description))

// html content is allowed in descriptions

					. "</div>\n";

			}

			$return .= "\t\t<div>\n"

				. "<p>"

				. htmlspecialchars($civicrm_tab_message) // make all other output html-safe

				. "</p><p>"

				. "Viewer is <strong>" . ($my->id !=0 ? $my->name : "Anonymous") . "</strong>"

				. "</p><p>"

				. "Profile Owner is <strong>" . $user->name . "</strong>"

				. "</p><p>"

                                . "Civicrm first name is <strong>" . $cid[0]->first_name . "</strong>"

                                . "</p><p>"



                                . "Civicrm last name is <strong>" . $cid[0]->last_name . "</strong>"

                                . "</p><p>"

                                . "Civicrm birth date is <strong>" . $cid[0]->birth_date . "</strong>"

                                . "</p><p>"

                                 . "Civicrm nick name is <strong>" . $cid[0]->nick_name . "</strong>"

                                . "</p><p>"

                                 . "Civicrm web page is <strong>" . $cid[0]->home_url . "</strong>"

                                . "</p><p>"

                                 . "Civicrm preferred email format is <strong>" . $cid[0]->preferred_mail_format . "</strong>"

                                . "</p><p>"



                                . "Civicrm display name is <strong>" . $cid[0]->display_name . "</strong>"

                                . "</p><p>"

                                . "Civicrm primary address is <strong><br >" 	

				. $cid[0]->supplemental_address_1 . " <br >"

				. $cid[0]->supplemental_address_2 . " <br >"

				. $cid[0]->street_address . " <br >" 

				. $cid[0]->city . " <br >" 

				. $cid[0]->statename . " <br >" 

				. $cid[0]->postal_code . " -" 

				. $cid[0]->postal_code_suffix . " <br >" 

				. $cid[0]->countryname 

				. "</strong>"

                                . "</p><p>"



				. "Registered email is <strong>" . $user->email . "</strong>"

				. "</p>"

				. "</div>\n";

		}

		return $return;

	} // end or getDisplayTab function

} // end of getcivicrmTab class

?>